extends Node

var is_logged_in: bool = false
var access_token: String = ""
var username: String = ""

func set_session(new_username: String, token: String) -> void:
	is_logged_in = true
	username = new_username
	access_token = token

func clear_session() -> void:
	is_logged_in = false
	username = ""
	access_token = ""
